def fahrToCelsius(tempFahrenheit):
    """
    This function converts the input Fahrenheit temperature to Celsius.
    It uses the formula given below:
    Temperature(in Celsius) = [Temperature(in Fahrenheit) - 32] / 1.8
    
    Parameters:
    tempFahrenheit (float): The temperature in Fahrenheit to be converted to Celsius.
    
    Returns:
    convertedTemp (float): The temperature in Celsius after the conversion from Fahrenheit.
    """
    convertedTemp = (tempFahrenheit - 32) / 1.8
    return convertedTemp

def tempClassifier(tempCelsius):
    """
    This function reclassifies the input temperature based on the given criteria.
    Return value	Classification criteria
    0	            temperatures below -2 degrees (Celsius)
    1	            temperatures from -2 up to +2 degrees (Celsius) [1]
    2	            temperatures from +2 up to +15 degrees (Celsius) [2]
    3	            temperatures above +15 degrees (Celsius)
    [1] Values -2 and +2 should belong to this class; [2] Value +15 should belong to this class

    Parameters:
    tempCelsius (float): The temperature in Celsius to be reclassified.
    
    Returns:
    int: The reclassified temperature as an integer number (0, 1, 2, or 3).

    """
    if tempCelsius < -2:
        return 0
    elif -2 <= tempCelsius <= 2:
        return 1
    elif 2 < tempCelsius <= 15:
        return 2
    else:
        return 3
    
# Testing
print("32 degrees Fahrenheit in Celsius is:", fahrToCelsius(32))
# print("48 degrees Fahrenheit in Celsius is:", fahrToCelsius(48))
# print("71 degrees Fahrenheit in Celsius is:", fahrToCelsius(71))
print("The class of 16.5 Celsius is:", tempClassifier(16.5))
print("The class of +2 Celsius is:", tempClassifier(2))
